MatchMaker defines a strategy for matching players.

It is responsible to produce new matches until it considers that there is a winner according to the strategy followed.

### Hierarchy

- IMatchmaker

### Implemented by

- DoubleEliminationMatchmaker
- FreeForAllMatchmaker

## Index

### Methods

- getRanking
- getRemainingMatches
- isFinished
- updateStats

## Methods

### getRanking

- getRanking(): string[]

- - Defined in tournament/matchmaker/Matchmaker.ts:14

  #### Returns string[]

### getRemainingMatches

- getRemainingMatches(): Match[]

- - Defined in tournament/matchmaker/Matchmaker.ts:13

  #### Returns Match[]

### isFinished

- isFinished(): boolean

- - Defined in tournament/matchmaker/Matchmaker.ts:11

  #### Returns boolean

### updateStats

- updateStats(stats: ITournamentStats): void

- - Defined in tournament/matchmaker/Matchmaker.ts:12

  #### Parameters

  - ##### stats: ITournamentStats

  #### Returns void

Generated using TypeDoc